  :root {
    --border-color: blue;
    --fill-color: rgb(25, 145, 185);
  }
  * {
    box-sizing: border-box;
  }
  body {
    background-color: #67ace4;
    color: white;
    font-family: sans-serif;
    display: flex;
    flex-direction: column;
    align-items: center;
    margin-bottom: 40px;
  }
  h1 {
    margin: 10px 90px;
  }

  h3 {
    font-weight: 400;
    margin: 10px 110px;
  }
  .cup {
    background-color: white;
    border: 4px solid var(--border-color);
    color: var(--fill-color);
    border-radius: 0 0 40px 40px;
    width: 150px;
    height: 330px;
    margin: 30px 90px;
    display: flex;
    flex-direction: column;
    overflow: hidden;
  }

  .cup.cup-small {
    height: 95px;
    width: 60px;
    border-radius: 0 0 15px 15px;
    background-color: aliceblue;
    cursor: pointer;
    font-size: 14px;
    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;
    margin: 5px;
    transition: 0.3s ease;
  }

  .cup.cup-small.full {
    background-color: var(--fill-color);
    color: white;
  }

  .cups {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: center;
    width: 280px;
    margin: 0 25px;
  }
  .remainder {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    text-align: center;
    flex: 1;
    transition: 0.3s ease;
  }
  .remainder span {
    font-size: 15px;
  }
  .percentage {
    background-color: var(--fill-color);
    display: flex;
    align-items: center;
    justify-content: center;
    font-weight: bold;
    font-size: 30px;
    height: 0;
    transition: 0.3s ease;
    color: white;
  }
  .text {
    text-align: center;
    margin: 0 0 10px;
  }
.btn {
  padding: 10px 50px;
  margin: 20px 80px;
  background-color: #fff;
  color:black; 
  border: none;
  border-radius: 4px; 
  cursor: pointer;
  font-size: 16px;
  transition: background-color 0.3s ease;
 
}

.btn:hover {
  background-color: #0056b3;
}

.btn:focus {
  outline: none; 
  box-shadow: 0 0 5px rgba(0, 123, 255, 0.5); 
}
button{
  padding: 10px 50px;
  margin: 200px;
  background-color: #fff;
  color:black; 
  border: none;
  border-radius: 4px; 
  cursor: pointer;
  font-size: 16px;
  transition: background-color 0.3s ease;
}
button:hover {
  background-color: #0056b3;
}

button:focus {
  outline: none; 
  box-shadow: 0 0 5px rgba(0, 123, 255, 0.5); 
}



